# Class CIM_StorageDefect

The StorageDefect aggregation collects the StorageErrors for a StorageExtent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_StorageDefect

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | The StorageDefect aggregation collects the StorageErrors for a StorageExtent.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Error | CIM_StorageDefect | CIM_StorageError
Extent | CIM_StorageDefect | CIM_StorageExtent

## Class Methods